### Class

# Gtk TryExpression

since: 4.22

#### Description [src]

    final class Gtk.TryExpression : GObject.TypeInstance
    {
      /* No available fields */
    }

A `GtkExpression` that tries to evaluate each of its expressions until it succeeds.

If all expressions fail to evaluate, the `GtkTryExpression`‘s evaluation fails as well.

Available since: 4.22

#### Ancestors

- GtkExpression

#### Constructors

###### gtk_try_expression_new

Creates a `GtkExpression` with an array of expressions.

since: 4.22

#### Instance methods

##### Methods inherited from GtkExpression (7)

###### gtk_expression_bind

Bind `target`‘s property named `property` to `self`.

###### gtk_expression_evaluate

Evaluates the given expression and on success stores the result in `value`.

###### gtk_expression_get_value_type

Gets the `GType` that this expression evaluates to.

###### gtk_expression_is_static

Checks if the expression is static.

###### gtk_expression_ref

Acquires a reference on the given `GtkExpression`.

###### gtk_expression_unref

Releases a reference on the given `GtkExpression`.

###### gtk_expression_watch

Watch the given `expression` for changes.